Bug 1198431 - "an internal error has occurred" during ipa host-del --updatedns
Summary: "an internal error has occurred" during ipa host-del --updatedns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On: 1189034
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 06:17 UTC by Jan Kurik
Modified: 2019-05-20 11:34 UTC (History)
10 users (show)

Fixed In Version: ipa-4.1.0-18.el7_1.1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1189034
Environment:
Last Closed: 2015-03-26 15:50:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0728 normal SHIPPED_LIVE Moderate: ipa and slapi-nis security and bug fix update 2015-03-26 19:50:25 UTC

Description Jan Kurik 2015-03-04 06:17:52 UTC
This bug has been copied from bug #1189034 and has been proposed
to be backported to 7.1 z-stream (EUS).

Comment 7 Xiyang Dong 2015-03-16 20:05:53 UTC
Verified on 7.1z:

Steps to Reproduce:
1. Install a RHEL-6.6 based IPA master
2. Enroll a RHEL-7.1 based replica from step(1) Master
3. Promote replica of step(2) as Master
4. Add a host using ipa host-add 
[root@ibm-x3650m4-02-vm-04 yum.repos.d]# ipa host-add thost1.testrelm.test --ip-address=10.16.40.240
---------------------------------
Added host "thost1.testrelm.test"
---------------------------------
  Host name: thost1.testrelm.test
  Principal name: host/thost1.testrelm.test@TESTRELM.TEST
  Password: False
  Keytab: False
  Managed by: thost1.testrelm.test

5. Delete host added in step(4)
[root@ibm-x3650m4-02-vm-04 yum.repos.d]# ipa host-del --updatedns thost1.testrelm.test
-----------------------------------
Deleted host "thost1.testrelm.test"
-----------------------------------


[root@ibm-x3650m4-02-vm-04 yum.repos.d]# tail -n 3 /var/log/httpd/error_log
[Mon Mar 16 15:54:34.080900 2015] [:error] [pid 14186] ipa: INFO: *** PROCESS START ***
[Mon Mar 16 15:55:31.435525 2015] [:error] [pid 14186] ipa: INFO: [jsonserver_kerb] admin@TESTRELM.TEST: host_add(u'thost1.testrelm.test', random=False, force=False, no_reverse=False, ip_address=u'10.16.40.240', all=False, raw=False, version=u'2.112', no_members=False): SUCCESS
[Mon Mar 16 15:55:49.211496 2015] [:error] [pid 14185] ipa: INFO: [jsonserver_session] admin@TESTRELM.TEST: host_del((u'thost1.testrelm.test',), continue=False, updatedns=True, version=u'2.112'): SUCCESS

Comment 9 errata-xmlrpc 2015-03-26 15:50:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0728.html


Note You need to log in before you can comment on or make changes to this bug.